> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.biblioreads.eu.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.biblioreads.eu.org/_mcp/server.

# quotes-home

POST https://biblioreads.eu.org/api/quotes/home
Content-Type: application/json

## Quotes Home

Scrapes featured and popular quotes from the Goodreads quotes home page using the quotes home URL. Returns a curated collection of trending and highlighted quotes across all topics.

***

## Request

**Method:** `POST`\
**URL:** `{{Instance Domain}}/api/quotes/home`

### Headers

| Key          | Value            | Description                        |
| ------------ | ---------------- | ---------------------------------- |
| Content-Type | application/json | Indicates the request body is JSON |

### Body

| Field    | Type   | Required | Description                                                                                 |
| -------- | ------ | -------- | ------------------------------------------------------------------------------------------- |
| queryURL | string | Yes      | The full Goodreads quotes home page URL to scrape (e.g. `https://www.goodreads.com/quotes`) |

**Example Body:**

```json
{
  "queryURL": "https://www.goodreads.com/quotes"
}
```

***

## Response

### 200 Success

Returns a JSON object containing featured and popular quotes from the Goodreads quotes home page.

```json
{
  "status": "Received",
  "statusCode": 200,
  ...
}
```

### Response Field Descriptions

| Field      | Type   | Description                                                                                |
| ---------- | ------ | ------------------------------------------------------------------------------------------ |
| status     | string | Human-readable status message                                                              |
| statusCode | number | HTTP status code of the response                                                           |
| quotes     | array  | List of featured/popular quotes, each with quote text, author, source book, and like count |

Reference: https://docs.biblioreads.eu.org/api-endpoints/quotes/quotes-home

## Request

### Body (application/json)

- `queryURL` (string, required)

## Response

### 200

OK

- `status` (string, required)
- `source` (string, required)
- `scrapeURL` (string, required)
- `name` (string, required)
- `quotes` (list of object, required)
  - `id` (integer, required)
  - `imgURL` (string, required)
  - `img` (string, required)
  - `imgAlt` (string, required)
  - `text` (string, required)
  - `author` (string, required)
  - `book` (string, required)
  - `slug` (string, required)
  - `likes` (string, required)
- `popularTags` (list of object, required)
  - `id` (integer, required)
  - `url` (string, required)
  - `name` (string, required)
- `lastScraped` (datetime, required)

## Examples

**Request**

```json
{
  "queryURL": "https://www.goodreads.com/quotes"
}
```

**Response**

```json
{
  "status": "Received",
  "source": "https://github.com/nesaku/biblioreads",
  "scrapeURL": "https://www.goodreads.com/quotes",
  "name": "Popular quotes",
  "quotes": [
    {
      "id": 1,
      "imgURL": "/author/show/3565.Oscar_Wilde",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1673611182i/3565._UX200_CR0,15,200,200_.jpg",
      "imgAlt": "Oscar Wilde",
      "text": "\n      “Be yourself; everyone else is already taken.”\n    \n ",
      "author": "\n    Oscar Wilde\n  ",
      "book": "",
      "slug": "/quotes/19884-be-yourself-everyone-else-is-already-taken",
      "likes": "178262 likes"
    },
    {
      "id": 2,
      "imgURL": "https://images.gr-assets.com/quotes/1511992603p8/8630.jpg",
      "img": "https://images.gr-assets.com/quotes/1511992603p2/8630.jpg",
      "imgAlt": "I'm selfish, impatient and a little insecure. I make mistakes, I am out of control",
      "text": "\n      “I'm selfish, impatient and a little insecure. I make mistakes, I am out of control and at times hard to handle. But if you can't handle me at my worst, then you sure as hell don't deserve me at my best.”\n    \n ",
      "author": "\n    Marilyn Monroe\n  ",
      "book": "",
      "slug": "/quotes/8630-i-m-selfish-impatient-and-a-little-insecure-i-make-mistakes",
      "likes": "165740 likes"
    },
    {
      "id": 3,
      "imgURL": "/author/show/22302.Frank_Zappa",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1696236573i/22302._UX200_CR0,0,200,200_.jpg",
      "imgAlt": "Frank Zappa",
      "text": "\n      “So many books, so little time.”\n    \n ",
      "author": "\n    Frank Zappa\n  ",
      "book": "",
      "slug": "/quotes/66-so-many-books-so-little-time",
      "likes": "152409 likes"
    },
    {
      "id": 4,
      "imgURL": "/author/show/9810.Albert_Einstein",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1429114964i/9810._UX200_CR0,14,200,200_.jpg",
      "imgAlt": "Albert Einstein",
      "text": "\n      “Two things are infinite: the universe and human stupidity; and I'm not sure about the universe.”\n    \n ",
      "author": "\n    Albert Einstein\n  ",
      "book": "",
      "slug": "/quotes/942-two-things-are-infinite-the-universe-and-human-stupidity-and",
      "likes": "148920 likes"
    },
    {
      "id": 5,
      "imgURL": "/author/show/13755.Marcus_Tullius_Cicero",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1197881416i/13755._UX200_CR0,47,200,200_.jpg",
      "imgAlt": "Marcus Tullius Cicero",
      "text": "\n      “A room without books is like a body without a soul.”\n    \n ",
      "author": "\n    Marcus Tullius Cicero\n  ",
      "book": "",
      "slug": "/quotes/764-a-room-without-books-is-like-a-body-without-a",
      "likes": "135980 likes"
    },
    {
      "id": 6,
      "imgURL": "/author/show/5768330.Bernard_M_Baruch",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1331977133i/5768330._UX200_CR0,30,200,200_.jpg",
      "imgAlt": "Bernard M. Baruch",
      "text": "\n      “Be who you are and say what you feel, because those who mind don't matter, and those who matter don't mind.”\n    \n ",
      "author": "\n    Bernard M. Baruch\n  ",
      "book": "",
      "slug": "/quotes/865-be-who-you-are-and-say-what-you-feel-because",
      "likes": "130559 likes"
    },
    {
      "id": 7,
      "imgURL": "/author/show/1744830.William_W_Purkey",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1282396130i/1744830._UX200_CR0,47,200,200_.jpg",
      "imgAlt": "William W. Purkey",
      "text": "\n      “You've gotta dance like there's nobody watching,Love like you'll never be hurt,Sing like there's nobody listening,And live like it's heaven on earth.”\n    \n ",
      "author": "\n    William W. Purkey\n  ",
      "book": "",
      "slug": "/quotes/10123-you-ve-gotta-dance-like-there-s-nobody-watching-love-like-you-ll",
      "likes": "129292 likes"
    },
    {
      "id": 8,
      "imgURL": "/author/show/61105.Dr_Seuss",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1193930952i/61105._UX200_CR0,30,200,200_.jpg",
      "imgAlt": "Dr. Seuss",
      "text": "\n      “You know you're in love when you can't fall asleep because reality is finally better than your dreams.”\n    \n ",
      "author": "\n    Dr. Seuss\n  ",
      "book": "",
      "slug": "/quotes/7901-you-know-you-re-in-love-when-you-can-t-fall-asleep",
      "likes": "127626 likes"
    },
    {
      "id": 9,
      "imgURL": "/author/show/259666.Mae_West",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1738043431i/259666._UX200_CR0,23,200,200_.jpg",
      "imgAlt": "Mae West",
      "text": "\n      “You only live once, but if you do it right, once is enough.”\n    \n ",
      "author": "\n    Mae West\n  ",
      "book": "",
      "slug": "/quotes/1598-you-only-live-once-but-if-you-do-it-right",
      "likes": "119506 likes"
    },
    {
      "id": 10,
      "imgURL": "/author/show/5810891.Mahatma_Gandhi",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1356810912i/5810891._UX200_CR0,21,200,200_.jpg",
      "imgAlt": "Mahatma Gandhi",
      "text": "\n      “Be the change that you wish to see in the world.”\n    \n ",
      "author": "\n    Mahatma Gandhi\n  ",
      "book": "",
      "slug": "/quotes/24499-be-the-change-that-you-wish-to-see-in-the",
      "likes": "114667 likes"
    },
    {
      "id": 11,
      "imgURL": "/author/show/7715.Robert_Frost",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1605640483i/7715._UX200_CR0,33,200,200_.jpg",
      "imgAlt": "Robert Frost",
      "text": "\n      “In three words I can sum up everything I've learned about life: it goes on.”\n    \n ",
      "author": "\n    Robert Frost\n  ",
      "book": "",
      "slug": "/quotes/258-in-three-words-i-can-sum-up-everything-i-ve-learned",
      "likes": "109598 likes"
    },
    {
      "id": 12,
      "imgURL": "/author/show/1077326.J_K_Rowling",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1596216614i/1077326._UX200_CR0,15,200,200_.jpg",
      "imgAlt": "J.K. Rowling",
      "text": "\n      “If you want to know what a man's like, take a good look at how he treats his inferiors, not his equals.”\n    \n ",
      "author": "\n    J.K. Rowling,\n  ",
      "book": "Harry Potter and the Goblet of Fire",
      "slug": "/quotes/5399-if-you-want-to-know-what-a-man-s-like-take",
      "likes": "101763 likes"
    },
    {
      "id": 13,
      "imgURL": "/author/show/957894.Albert_Camus",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1686463588i/957894._UY200_CR46,0,200,200_.jpg",
      "imgAlt": "Albert Camus",
      "text": "\n      “Don’t walk in front of me… I may not followDon’t walk behind me… I may not leadWalk beside me… just be my friend”\n    \n ",
      "author": "\n    Albert Camus\n  ",
      "book": "",
      "slug": "/quotes/54-don-t-walk-in-front-of-me-i-may-not-follow",
      "likes": "93846 likes"
    },
    {
      "id": 14,
      "imgURL": "/author/show/1244.Mark_Twain",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1322103868i/1244._UX200_CR0,40,200,200_.jpg",
      "imgAlt": "Mark Twain",
      "text": "\n      “If you tell the truth, you don't have to remember anything.”\n    \n ",
      "author": "\n    Mark Twain\n  ",
      "book": "",
      "slug": "/quotes/9131-if-you-tell-the-truth-you-don-t-have-to-remember",
      "likes": "92534 likes"
    },
    {
      "id": 15,
      "imgURL": "/author/show/3503.Maya_Angelou",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1379017377i/3503._UX200_CR0,6,200,200_.jpg",
      "imgAlt": "Maya Angelou",
      "text": "\n      “I've learned that people will forget what you said, people will forget what you did, but people will never forget how you made them feel.”\n    \n ",
      "author": "\n    Maya Angelou\n  ",
      "book": "",
      "slug": "/quotes/5934-i-ve-learned-that-people-will-forget-what-you-said-people",
      "likes": "89608 likes"
    },
    {
      "id": 16,
      "imgURL": "https://images.gr-assets.com/quotes/1387503187p8/10554.jpg",
      "img": "https://images.gr-assets.com/quotes/1387503187p2/10554.jpg",
      "imgAlt": "Friendship ... is born at the moment when one man says to another What! You",
      "text": "\n      “Friendship ... is born at the moment when one man says to another \"What! You too? I thought that no one but myself . . .”\n    \n ",
      "author": "\n    C.S. Lewis,\n  ",
      "book": "The Four Loves",
      "slug": "/quotes/10554-friendship-is-born-at-the-moment-when-one-man",
      "likes": "88236 likes"
    },
    {
      "id": 17,
      "imgURL": "/author/show/3565.Oscar_Wilde",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1673611182i/3565._UX200_CR0,15,200,200_.jpg",
      "imgAlt": "Oscar Wilde",
      "text": "\n      “To live is the rarest thing in the world. Most people exist, that is all.”\n    \n ",
      "author": "\n    Oscar Wilde\n  ",
      "book": "",
      "slug": "/quotes/2448-to-live-is-the-rarest-thing-in-the-world-most",
      "likes": "85270 likes"
    },
    {
      "id": 18,
      "imgURL": "/author/show/114059.Elbert_Hubbard",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1216826209i/114059._CR0,24,200,200_.jpg",
      "imgAlt": "Elbert Hubbard",
      "text": "\n      “A friend is someone who knows all about you and still loves you.”\n    \n ",
      "author": "\n    Elbert Hubbard\n  ",
      "book": "",
      "slug": "/quotes/16949-a-friend-is-someone-who-knows-all-about-you-and",
      "likes": "84436 likes"
    },
    {
      "id": 19,
      "imgURL": "/author/show/3565.Oscar_Wilde",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1673611182i/3565._UX200_CR0,15,200,200_.jpg",
      "imgAlt": "Oscar Wilde",
      "text": "\n      “Always forgive your enemies; nothing annoys them so much.”\n    \n ",
      "author": "\n    Oscar Wilde\n  ",
      "book": "",
      "slug": "/quotes/4583-always-forgive-your-enemies-nothing-annoys-them-so-much",
      "likes": "82057 likes"
    },
    {
      "id": 20,
      "imgURL": "/author/show/23924.Martin_Luther_King_Jr_",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1198518558i/23924._UX200_CR0,21,200,200_.jpg",
      "imgAlt": "Martin Luther King Jr.",
      "text": "\n      “Darkness cannot drive out darkness: only light can do that. Hate cannot drive out hate: only love can do that.”\n    \n ",
      "author": "\n    Martin Luther King Jr.,\n  ",
      "book": "A Testament of Hope: The Essential Writings and Speeches",
      "slug": "/quotes/943-darkness-cannot-drive-out-darkness-only-light-can-do-that",
      "likes": "78592 likes"
    },
    {
      "id": 21,
      "imgURL": "/author/show/5810891.Mahatma_Gandhi",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1356810912i/5810891._UX200_CR0,21,200,200_.jpg",
      "imgAlt": "Mahatma Gandhi",
      "text": "\n      “Live as if you were to die tomorrow. Learn as if you were to live forever.”\n    \n ",
      "author": "\n    Mahatma Gandhi\n  ",
      "book": "",
      "slug": "/quotes/2253-live-as-if-you-were-to-die-tomorrow-learn-as",
      "likes": "77926 likes"
    },
    {
      "id": 22,
      "imgURL": "https://images.gr-assets.com/quotes/1387506524p8/2534.jpg",
      "img": "https://images.gr-assets.com/quotes/1387506524p2/2534.jpg",
      "imgAlt": "We accept the love we think we deserve.",
      "text": "\n      “We accept the love we think we deserve.”\n    \n ",
      "author": "\n    Stephen Chbosky,\n  ",
      "book": "The Perks of Being a Wallflower",
      "slug": "/quotes/2534-we-accept-the-love-we-think-we-deserve",
      "likes": "76912 likes"
    },
    {
      "id": 23,
      "imgURL": "/author/show/1938.Friedrich_Nietzsche",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1651474065i/1938._UX200_CR0,35,200,200_.jpg",
      "imgAlt": "Friedrich Nietzsche",
      "text": "\n      “Without music, life would be a mistake.”\n    \n ",
      "author": "\n    Friedrich Nietzsche,\n  ",
      "book": "Twilight of the Idols",
      "slug": "/quotes/4590-without-music-life-would-be-a-mistake",
      "likes": "74616 likes"
    },
    {
      "id": 24,
      "imgURL": "/author/show/3565.Oscar_Wilde",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1673611182i/3565._UX200_CR0,15,200,200_.jpg",
      "imgAlt": "Oscar Wilde",
      "text": "\n      “I am so clever that sometimes I don't understand a single word of what I am saying.”\n    \n ",
      "author": "\n    Oscar Wilde,\n  ",
      "book": "The Happy Prince and Other Stories",
      "slug": "/quotes/1198-i-am-so-clever-that-sometimes-i-don-t-understand-a",
      "likes": "71828 likes"
    },
    {
      "id": 25,
      "imgURL": "/author/show/12080.Ralph_Waldo_Emerson",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1393555704i/12080._UX200_CR0,34,200,200_.jpg",
      "imgAlt": "Ralph Waldo Emerson",
      "text": "\n      “To be yourself in a world that is constantly trying to make you something else is the greatest accomplishment.”\n    \n ",
      "author": "\n    Ralph Waldo Emerson\n  ",
      "book": "",
      "slug": "/quotes/876-to-be-yourself-in-a-world-that-is-constantly-trying",
      "likes": "69900 likes"
    },
    {
      "id": 26,
      "imgURL": "/author/show/5255891.Steve_Jobs",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1322675535i/5255891._UX200_CR0,25,200,200_.jpg",
      "imgAlt": "Steve Jobs",
      "text": "\n      “Here's to the crazy ones. The misfits. The rebels. The troublemakers. The round pegs in the square holes. The ones who see things differently. They're not fond of rules. And they have no respect for the status quo. You can quote them, disagree with them, glorify or vilify them. About the only thing you can't do is ignore them. Because they change things. They push the human race forward. And while some may see them as the crazy ones, we see genius. Because the people who are crazy enough to think they can change the world, are the ones who do.”\n    \n ",
      "author": "\n    Steve Jobs\n  ",
      "book": "",
      "slug": "/quotes/924-here-s-to-the-crazy-ones-the-misfits-the-rebels-the",
      "likes": "68322 likes"
    },
    {
      "id": 27,
      "imgURL": "imgURL",
      "img": "img",
      "imgAlt": "imgAlt",
      "text": "\n      “Insanity is doing the same thing, over and over again, but expecting different results.”\n    \n ",
      "author": "\n    Narcotics Anonymous\n  ",
      "book": "",
      "slug": "/quotes/5543-insanity-is-doing-the-same-thing-over-and-over-again",
      "likes": "64773 likes"
    },
    {
      "id": 28,
      "imgURL": "/author/show/7617.Andr_Gide",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1424119198i/7617._UX200_CR0,29,200,200_.jpg",
      "imgAlt": "André Gide",
      "text": "\n      “It is better to be hated for what you are than to be loved for what you are not.”\n    \n ",
      "author": "\n    Andre Gide,\n  ",
      "book": "Autumn Leaves",
      "slug": "/quotes/14304-it-is-better-to-be-hated-for-what-you-are",
      "likes": "62490 likes"
    },
    {
      "id": 29,
      "imgURL": "https://images.gr-assets.com/quotes/1512016299p8/12379.jpg",
      "img": "https://images.gr-assets.com/quotes/1512016299p2/12379.jpg",
      "imgAlt": "I believe that everything happens for a reason. People change so that you can learn",
      "text": "\n      “I believe that everything happens for a reason. People change so that you can learn to let go, things go wrong so that you appreciate them when they're right, you believe lies so you eventually learn to trust no one but yourself, and sometimes good things fall apart so better things can fall together.”\n    \n ",
      "author": "\n    Marilyn Monroe\n  ",
      "book": "",
      "slug": "/quotes/12379-i-believe-that-everything-happens-for-a-reason-people-change",
      "likes": "62241 likes"
    },
    {
      "id": 30,
      "imgURL": "/author/show/33394.H_Jackson_Brown_Jr_",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1288560924i/33394.jpg",
      "imgAlt": "H. Jackson Brown Jr.",
      "text": "\n      “Twenty years from now you will be more disappointed by the things that you didn't do than by the ones you did do. So throw off the bowlines. Sail away from the safe harbor. Catch the trade winds in your sails. Explore. Dream. Discover.”\n    \n ",
      "author": "\n    H. Jackson Brown Jr.,\n  ",
      "book": "P.S. I Love You",
      "slug": "/quotes/2340-twenty-years-from-now-you-will-be-more-disappointed-by",
      "likes": "60419 likes"
    }
  ],
  "popularTags": [
    {
      "id": 1,
      "url": "/quotes/tag/love",
      "name": "\n              Love Quotes\n"
    },
    {
      "id": 2,
      "url": "/quotes/tag/life",
      "name": "\n              Life Quotes\n"
    },
    {
      "id": 3,
      "url": "/quotes/tag/inspirational",
      "name": "\n              Inspirational Quotes\n"
    },
    {
      "id": 4,
      "url": "/quotes/tag/humor",
      "name": "\n              Humor Quotes\n"
    },
    {
      "id": 5,
      "url": "/quotes/tag/philosophy",
      "name": "\n              Philosophy Quotes\n"
    },
    {
      "id": 6,
      "url": "/quotes/tag/inspirational-quotes",
      "name": "\n              Inspirational Quotes Quotes\n"
    },
    {
      "id": 7,
      "url": "/quotes/tag/god",
      "name": "\n              God Quotes\n"
    },
    {
      "id": 8,
      "url": "/quotes/tag/wisdom",
      "name": "\n              Wisdom Quotes\n"
    },
    {
      "id": 9,
      "url": "/quotes/tag/truth",
      "name": "\n              Truth Quotes\n"
    },
    {
      "id": 10,
      "url": "/quotes/tag/romance",
      "name": "\n              Romance Quotes\n"
    },
    {
      "id": 11,
      "url": "/quotes/tag/poetry",
      "name": "\n              Poetry Quotes\n"
    },
    {
      "id": 12,
      "url": "/quotes/tag/life-lessons",
      "name": "\n              Life Lessons Quotes\n"
    },
    {
      "id": 13,
      "url": "/quotes/tag/quotes",
      "name": "\n              Quotes Quotes\n"
    },
    {
      "id": 14,
      "url": "/quotes/tag/death",
      "name": "\n              Death Quotes\n"
    },
    {
      "id": 15,
      "url": "/quotes/tag/happiness",
      "name": "\n              Happiness Quotes\n"
    },
    {
      "id": 16,
      "url": "/quotes/tag/hope",
      "name": "\n              Hope Quotes\n"
    },
    {
      "id": 17,
      "url": "/quotes/tag/faith",
      "name": "\n              Faith Quotes\n"
    },
    {
      "id": 18,
      "url": "/quotes/tag/inspiration",
      "name": "\n              Inspiration Quotes\n"
    },
    {
      "id": 19,
      "url": "/quotes/tag/spirituality",
      "name": "\n              Spirituality Quotes\n"
    },
    {
      "id": 20,
      "url": "/quotes/tag/motivational",
      "name": "\n              Motivational Quotes\n"
    },
    {
      "id": 21,
      "url": "/quotes/tag/relationships",
      "name": "\n              Relationships Quotes\n"
    },
    {
      "id": 22,
      "url": "/quotes/tag/religion",
      "name": "\n              Religion Quotes\n"
    },
    {
      "id": 23,
      "url": "/quotes/tag/life-quotes",
      "name": "\n              Life Quotes Quotes\n"
    },
    {
      "id": 24,
      "url": "/quotes/tag/writing",
      "name": "\n              Writing Quotes\n"
    },
    {
      "id": 25,
      "url": "/quotes/tag/love-quotes",
      "name": "\n              Love Quotes Quotes\n"
    },
    {
      "id": 26,
      "url": "/quotes/tag/success",
      "name": "\n              Success Quotes\n"
    },
    {
      "id": 27,
      "url": "/quotes/tag/motivation",
      "name": "\n              Motivation Quotes\n"
    },
    {
      "id": 28,
      "url": "/quotes/tag/time",
      "name": "\n              Time Quotes\n"
    },
    {
      "id": 29,
      "url": "/quotes/tag/science",
      "name": "\n              Science Quotes\n"
    },
    {
      "id": 30,
      "url": "/quotes/tag/motivational-quotes",
      "name": "\n              Motivational Quotes Quotes\n"
    }
  ],
  "lastScraped": "2026-06-15T00:43:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://biblioreads.eu.org/api/quotes/home"

payload = { "queryURL": "https://www.goodreads.com/quotes" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://biblioreads.eu.org/api/quotes/home';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"queryURL":"https://www.goodreads.com/quotes"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://biblioreads.eu.org/api/quotes/home"

	payload := strings.NewReader("{\n  \"queryURL\": \"https://www.goodreads.com/quotes\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://biblioreads.eu.org/api/quotes/home")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"queryURL\": \"https://www.goodreads.com/quotes\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://biblioreads.eu.org/api/quotes/home")
  .header("Content-Type", "application/json")
  .body("{\n  \"queryURL\": \"https://www.goodreads.com/quotes\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://biblioreads.eu.org/api/quotes/home', [
  'body' => '{
  "queryURL": "https://www.goodreads.com/quotes"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://biblioreads.eu.org/api/quotes/home");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"queryURL\": \"https://www.goodreads.com/quotes\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["queryURL": "https://www.goodreads.com/quotes"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://biblioreads.eu.org/api/quotes/home")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```